> ## Documentation Index
> Fetch the complete documentation index at: https://spidocs.chargebee.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve credit note

> This endpoint is used to retrieve a specific credit note using the unique credit note id.



## OpenAPI

````yaml get /credit-notes/{creditNoteId}
openapi: 3.0.3
info:
  description: >
    ## Overview

    Tax Service Adapter is a Service Provider Interface (SPI) that helps
    Chargebee communicate with API platforms providing the following services:

    - Address validation

    - Estimating taxes for sales

    - Submitting invoices for tax filing


    If you have an API that provides the services mentioned above and want
    Chargebee to be able to integrate with it, you can build an adapter service
    according to this specification.


    ## Terminology

    Here's a list of terms we've used to describe this specification.

    ### Merchant 
      Chargebee’s customer who is carrying out the business of selling products. Also known as the Seller. The Seller has one or more Chargebee accounts.
    ### Chargebee 
     The SaaS which manages subscriptions and revenue operations on behalf of the Merchant. Chargebee makes API calls to the Tax Service Adapter for tax estimation and tax filing of transactions between the Merchant and the Customer.
    ### Customer 

    Merchant’s customer who purchases products from the Merchant. Their customer
    record(s) and other details are stored within Chargebee under the Merchant’s
    account.

    ### Tax Authority

    The institution, usually a government, that is responsible for collecting
    taxes for commercial transactions between Merchants and their Customers.  

    ### Tax Service Provider

    The service which provides tax estimation and tax filing services for
    merchants.

    ### Tax Service Adapter 

    The SPI for which the spec is defined in this document. This adapter serves
    the following purposes:

    - Translates API requests (as defined in this document) from Chargebee to
    the request format specified by the Tax Service Provider's API.

    - Translates API responses from the Tax Service Provider APIs to the format
    understood by Chargebee (as defined in this document).

    ### Authorization

    Chargebee uses HTTP header-based authorization for all the API endpoints
    associated with Tax Service Adapter. We dynamically pass this authorization
    key in the HTTP header. The parameter that holds this key is found in the
    JSON object `api_configuration` required for configuring your onboarding on
    Chargebee's marketplace. In the `api_configuration` object, our [Taxes
    Service Adapter SPI](https://chargebee.atlassian.net/l/cp/ca5aZ1mA) checks
    the authorization key parameter from `credential_configuration.id` and
    creates the HTTP header-based input query parameter for authorization. The
    `credential_configuration` is an array of objects with an `id` attribute,
    and the value of `id` is the parameter containing the authorization key.

      Following are the JSON snippets for your reference.

       ```json
          "api_configuration": {
              "api_base_url": "https://xyz.abc.com/chargebee",
              "credential_configuration": [ 
                {
                  "id":"authorization_key",
                  "name": "Authorization Key", 
                  "type": "text",
                  "is_sensitive": true 
                },
                {
                  "id": "client_secret",
                  "name": "Client Secret",
                  "type": "text",
                  "is_sensitive": true
                }
              ]
            }
       ```    
    `"Authorization":"{"<authorization_key>":"test_GykCvTykZFTBqHQAFzjMN9R1Thgdho0Q"}"`
  title: Taxes Service Adapter SPI
  version: 0.3.7
servers:
  - description: Production SPI server.
    url: https://rest.taxes.provider.com/api/v1
  - description: Sandbox SPI server.
    url: https://sandbox.taxes.provider.com/api/v1
security:
  - Authorization: []
tags:
  - description: Endpoints to validate an address and check its taxability.
    name: Address
  - description: Endpoints to estimate taxes.
    name: TaxEstimate
  - description: Endpoints to manage invoices sent to the Tax Service Provider.
    name: Invoice
  - description: Endpoints to manage credit notes sent to the Tax Service Provider.
    name: CreditNote
  - description: >-
      Endpoints to validate the credentials used for calling the Tax Service
      Adapter.
    name: Authentication
  - description: >-
      Endpoints to monitor the health of the Tax Service Provider and the Tax
      Service Adapter.
    name: Health
paths:
  /credit-notes/{creditNoteId}:
    get:
      tags:
        - CreditNote
      summary: Retrieve credit note
      description: >-
        This endpoint is used to retrieve a specific credit note using the
        unique credit note id.
      operationId: fetchCreditNote
      parameters:
        - description: >-
            The unique identifier of the credit note at the Tax Service Adapter
            or Tax Service Provider.
          explode: false
          in: path
          name: creditNoteId
          required: true
          schema:
            type: string
          style: simple
        - description: >-
            The unique identifier of the invoice at the Tax Service Adapter or
            Tax Service Provider.
          explode: true
          in: query
          name: invoiceId
          required: false
          schema:
            type: string
          style: form
        - description: Merchant's domain name will be sent by Chargebee
          in: header
          name: merchant_id
          required: false
          schema:
            type: string
        - description: Unique id of the request will be sent by Chargebee
          in: header
          name: trace_id
          required: false
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreditNote'
          description: Credit note retrieved successfully.
        '401':
          description: Unauthenticated request.
        '403':
          description: Unauthorized request.
        '404':
          description: Not found.
        '429':
          description: Too many requests.
        '500':
          content:
            application/json:
              examples:
                Error500:
                  $ref: '#/components/examples/Error500Response'
              schema:
                $ref: '#/components/schemas/BasicErrorResponse'
          description: Unexpected error while processing request.
        '503':
          content:
            application/json:
              example:
                status: DOWN
                version: 1.0.0
                description: The service is unhealthy. Several components are down.
                components:
                  - id: app-db-memory
                    name: Application Database Memory Usage
                    type: DATABASE
                    status: UP
                  - id: adapter-server
                    name: Adapter API Server
                    type: ADAPTER
                    status: DOWN
                  - id: service-server
                    name: API Server
                    type: API
                    status: DOWN
                time: '2022-11-01T05:12:08.131Z'
              schema:
                $ref: '#/components/schemas/HealthCheckResponse'
          description: Service is unhealthy.
components:
  schemas:
    CreditNote:
      additionalProperties: false
      description: >-
        The details of a credit note returned by the Tax Service Adapter. A
        credit note is used to reduce the amount due on an invoice. If the
        credit note is issued after payments have been made for the invoice,
        refunds can be issued to the Customer.
      example:
        seller:
          address:
            country: country
            city: city
            postalCode: postalCode
            state: state
            line3: line3
            line2: line2
            line1: line1
          taxRegistrationNumber: taxRegistrationNumber
          hasNexus: true
        creditNoteType: null
        taxableAmount: 5.962133916683182
        roundingAmount: 7.061401241503109
        creditNoteCode: creditNoteCode
        discountAmount: 0.8008281904610115
        exemptAmount: 1.4658129805029452
        invoiceCode: invoiceCode
        lineItems:
          - unitPrice: 0.3616076749251911
            taxableAmount: 1.0246457001441578
            amount: 2.027123023002322
            quantity: 0.9301444243932576
            itemCode: itemCode
            description: description
            isTaxable: true
            discountAmount: 1.2315135367772556
            taxes:
              - number: 1
                taxableAmount: 4.965218492984954
                rate: 11.730742509559434
                jurisdiction:
                  code: code
                  name: name
                  type: null
                name: GST
                taxAmount: 5.025004791520295
              - number: 1
                taxableAmount: 4.965218492984954
                rate: 11.730742509559434
                jurisdiction:
                  code: code
                  name: name
                  type: null
                name: GST
                taxAmount: 5.025004791520295
              - number: 1
                taxableAmount: 4.965218492984954
                rate: 11.730742509559434
                jurisdiction:
                  code: code
                  name: name
                  type: null
                name: GST
                taxAmount: 5.025004791520295
              - number: 1
                taxableAmount: 4.965218492984954
                rate: 11.730742509559434
                jurisdiction:
                  code: code
                  name: name
                  type: null
                name: GST
                taxAmount: 5.025004791520295
              - number: 1
                taxableAmount: 4.965218492984954
                rate: 11.730742509559434
                jurisdiction:
                  code: code
                  name: name
                  type: null
                name: GST
                taxAmount: 5.025004791520295
            exemptAmount: 7.386281948385884
            taxExemptType: null
            number: 1
            total: 6.84685269835264
            subtotal: 4.145608029883936
            isTaxInclusive: true
            taxAmount: 1.4894159098541704
            taxExemptReason: The customer is exempt from taxes.
            isPartialTax: true
            taxIdentifiers:
              - id: id
                value: value
              - id: id
                value: value
              - id: id
                value: value
              - id: id
                value: value
              - id: id
                value: value
          - unitPrice: 0.3616076749251911
            taxableAmount: 1.0246457001441578
            amount: 2.027123023002322
            quantity: 0.9301444243932576
            itemCode: itemCode
            description: description
            isTaxable: true
            discountAmount: 1.2315135367772556
            taxes:
              - number: 1
                taxableAmount: 4.965218492984954
                rate: 11.730742509559434
                jurisdiction:
                  code: code
                  name: name
                  type: null
                name: GST
                taxAmount: 5.025004791520295
              - number: 1
                taxableAmount: 4.965218492984954
                rate: 11.730742509559434
                jurisdiction:
                  code: code
                  name: name
                  type: null
                name: GST
                taxAmount: 5.025004791520295
              - number: 1
                taxableAmount: 4.965218492984954
                rate: 11.730742509559434
                jurisdiction:
                  code: code
                  name: name
                  type: null
                name: GST
                taxAmount: 5.025004791520295
              - number: 1
                taxableAmount: 4.965218492984954
                rate: 11.730742509559434
                jurisdiction:
                  code: code
                  name: name
                  type: null
                name: GST
                taxAmount: 5.025004791520295
              - number: 1
                taxableAmount: 4.965218492984954
                rate: 11.730742509559434
                jurisdiction:
                  code: code
                  name: name
                  type: null
                name: GST
                taxAmount: 5.025004791520295
            exemptAmount: 7.386281948385884
            taxExemptType: null
            number: 1
            total: 6.84685269835264
            subtotal: 4.145608029883936
            isTaxInclusive: true
            taxAmount: 1.4894159098541704
            taxExemptReason: The customer is exempt from taxes.
            isPartialTax: true
            taxIdentifiers:
              - id: id
                value: value
              - id: id
                value: value
              - id: id
                value: value
              - id: id
                value: value
              - id: id
                value: value
          - unitPrice: 0.3616076749251911
            taxableAmount: 1.0246457001441578
            amount: 2.027123023002322
            quantity: 0.9301444243932576
            itemCode: itemCode
            description: description
            isTaxable: true
            discountAmount: 1.2315135367772556
            taxes:
              - number: 1
                taxableAmount: 4.965218492984954
                rate: 11.730742509559434
                jurisdiction:
                  code: code
                  name: name
                  type: null
                name: GST
                taxAmount: 5.025004791520295
              - number: 1
                taxableAmount: 4.965218492984954
                rate: 11.730742509559434
                jurisdiction:
                  code: code
                  name: name
                  type: null
                name: GST
                taxAmount: 5.025004791520295
              - number: 1
                taxableAmount: 4.965218492984954
                rate: 11.730742509559434
                jurisdiction:
                  code: code
                  name: name
                  type: null
                name: GST
                taxAmount: 5.025004791520295
              - number: 1
                taxableAmount: 4.965218492984954
                rate: 11.730742509559434
                jurisdiction:
                  code: code
                  name: name
                  type: null
                name: GST
                taxAmount: 5.025004791520295
              - number: 1
                taxableAmount: 4.965218492984954
                rate: 11.730742509559434
                jurisdiction:
                  code: code
                  name: name
                  type: null
                name: GST
                taxAmount: 5.025004791520295
            exemptAmount: 7.386281948385884
            taxExemptType: null
            number: 1
            total: 6.84685269835264
            subtotal: 4.145608029883936
            isTaxInclusive: true
            taxAmount: 1.4894159098541704
            taxExemptReason: The customer is exempt from taxes.
            isPartialTax: true
            taxIdentifiers:
              - id: id
                value: value
              - id: id
                value: value
              - id: id
                value: value
              - id: id
                value: value
              - id: id
                value: value
          - unitPrice: 0.3616076749251911
            taxableAmount: 1.0246457001441578
            amount: 2.027123023002322
            quantity: 0.9301444243932576
            itemCode: itemCode
            description: description
            isTaxable: true
            discountAmount: 1.2315135367772556
            taxes:
              - number: 1
                taxableAmount: 4.965218492984954
                rate: 11.730742509559434
                jurisdiction:
                  code: code
                  name: name
                  type: null
                name: GST
                taxAmount: 5.025004791520295
              - number: 1
                taxableAmount: 4.965218492984954
                rate: 11.730742509559434
                jurisdiction:
                  code: code
                  name: name
                  type: null
                name: GST
                taxAmount: 5.025004791520295
              - number: 1
                taxableAmount: 4.965218492984954
                rate: 11.730742509559434
                jurisdiction:
                  code: code
                  name: name
                  type: null
                name: GST
                taxAmount: 5.025004791520295
              - number: 1
                taxableAmount: 4.965218492984954
                rate: 11.730742509559434
                jurisdiction:
                  code: code
                  name: name
                  type: null
                name: GST
                taxAmount: 5.025004791520295
              - number: 1
                taxableAmount: 4.965218492984954
                rate: 11.730742509559434
                jurisdiction:
                  code: code
                  name: name
                  type: null
                name: GST
                taxAmount: 5.025004791520295
            exemptAmount: 7.386281948385884
            taxExemptType: null
            number: 1
            total: 6.84685269835264
            subtotal: 4.145608029883936
            isTaxInclusive: true
            taxAmount: 1.4894159098541704
            taxExemptReason: The customer is exempt from taxes.
            isPartialTax: true
            taxIdentifiers:
              - id: id
                value: value
              - id: id
                value: value
              - id: id
                value: value
              - id: id
                value: value
              - id: id
                value: value
          - unitPrice: 0.3616076749251911
            taxableAmount: 1.0246457001441578
            amount: 2.027123023002322
            quantity: 0.9301444243932576
            itemCode: itemCode
            description: description
            isTaxable: true
            discountAmount: 1.2315135367772556
            taxes:
              - number: 1
                taxableAmount: 4.965218492984954
                rate: 11.730742509559434
                jurisdiction:
                  code: code
                  name: name
                  type: null
                name: GST
                taxAmount: 5.025004791520295
              - number: 1
                taxableAmount: 4.965218492984954
                rate: 11.730742509559434
                jurisdiction:
                  code: code
                  name: name
                  type: null
                name: GST
                taxAmount: 5.025004791520295
              - number: 1
                taxableAmount: 4.965218492984954
                rate: 11.730742509559434
                jurisdiction:
                  code: code
                  name: name
                  type: null
                name: GST
                taxAmount: 5.025004791520295
              - number: 1
                taxableAmount: 4.965218492984954
                rate: 11.730742509559434
                jurisdiction:
                  code: code
                  name: name
                  type: null
                name: GST
                taxAmount: 5.025004791520295
              - number: 1
                taxableAmount: 4.965218492984954
                rate: 11.730742509559434
                jurisdiction:
                  code: code
                  name: name
                  type: null
                name: GST
                taxAmount: 5.025004791520295
            exemptAmount: 7.386281948385884
            taxExemptType: null
            number: 1
            total: 6.84685269835264
            subtotal: 4.145608029883936
            isTaxInclusive: true
            taxAmount: 1.4894159098541704
            taxExemptReason: The customer is exempt from taxes.
            isPartialTax: true
            taxIdentifiers:
              - id: id
                value: value
              - id: id
                value: value
              - id: id
                value: value
              - id: id
                value: value
              - id: id
                value: value
        total: 2.3021358869347655
        subtotal: 6.027456183070403
        taxDateTime: '2000-01-23T04:56:07.000Z'
        invoiceId: invoiceId
        currency: currency
        creditNoteId: creditNoteId
        taxAmount: 5.637376656633329
        documentDateTime: '2000-01-23T04:56:07.000Z'
        status: null
        customer:
          address:
            country: country
            city: city
            postalCode: postalCode
            state: state
            line3: line3
            line2: line2
            line1: line1
          name: name
          customerCode: customerCode
          company: company
          taxRegistrationNumber: taxRegistrationNumber
          hasNexus: true
          locationEvidence:
            paymentCountryCode: paymentCountryCode
            bin: bin
            ip: ip
          taxIdentifiers:
            - id: id
              value: value
            - id: id
              value: value
            - id: id
              value: value
            - id: id
              value: value
            - id: id
              value: value
      properties:
        creditNoteId:
          description: >-
            The unique identifier of the credit note at the Tax Service Provider
            or Tax Service Adapter.
          type: string
        creditNoteCode:
          description: The unique identifier of the credit note in Chargebee.
          maxLength: 50
          type: string
        invoiceCode:
          description: >-
            The unique identifier of the invoice in Chargebee to which this
            credit note belongs.
          maxLength: 50
          type: string
        invoiceId:
          description: >-
            The unique identifier of the invoice in the Tax Service Adapter or
            the Tax Service Provider.
          type: string
        creditNoteType:
          $ref: '#/components/schemas/CreditNoteType'
        documentDateTime:
          description: >-
            The date and time at which the credit note was created in Chargebee.
            For example, if the value is 2022-10-28T15:36:28.129+05:30, then the
            timestamp represents October 28, 2022, at 15:36:28.129, with an
            offset of +05:30. This means that the time represented is 5 hours
            and 30 minutes ahead of UTC/GMT. In the case of a merchant site
            located in UTC, these data types would send a timestamp in the
            format 2022-11-11T15:40:44.65Z. This timestamp represents November
            11, 2022, at 15:40:44.65, with the 'Z' indicating that the time is
            in UTC.
          format: date-time
          type: string
        taxDateTime:
          description: >-
            The date and time at which the tax was applicable in Chargebee. For
            example, if the value is 2022-10-28T15:36:28.129+05:30, then the
            timestamp represents October 28, 2022, at 15:36:28.129, with an
            offset of +05:30. This means that the time represented is 5 hours
            and 30 minutes ahead of UTC/GMT.In the case of a merchant site
            located in UTC, these data types would send a timestamp in the
            format 2022-11-11T15:40:44.65Z. This timestamp represents November
            11, 2022, at 15:40:44.65, with the 'Z' indicating that the time is
            in UTC.
          format: date-time
          type: string
        status:
          $ref: '#/components/schemas/DocumentStatus'
        currency:
          description: >-
            The [currency](https://en.wikipedia.org/wiki/Currency) in the
            [ISO-4217 format](https://www.iso.org/iso-4217-currency-codes.html).
          maxLength: 3
          minLength: 3
          type: string
        seller:
          $ref: '#/components/schemas/Seller'
        customer:
          $ref: '#/components/schemas/Customer'
        discountAmount:
          description: >-
            The total discount applied. This is the sum of all
            `lineItems.discount`.
          format: double
          type: number
        subtotal:
          description: >-
            The amount after discounts. This is the sum of all
            `lineItems.subtotal`.
          format: double
          type: number
        exemptAmount:
          description: The amount exempted from tax.
          format: double
          type: number
        taxableAmount:
          description: The amount upon which the tax is calculated.
          format: double
          type: number
        taxAmount:
          description: The total tax payable. This is the sum of all `lineItems.taxAmount`.
          format: double
          type: number
        total:
          description: >-
            The total amount of the credit note. `total` can be expressed as
            `exemptAmount` + `taxableAmount` + `taxAmount`.
          format: double
          type: number
        roundingAmount:
          description: >-
            The rounding amount added to the total amount to account for
            fractional correction.
          format: double
          type: number
        lineItems:
          items:
            $ref: '#/components/schemas/InvoiceLineItem'
          maxItems: 1250
          minItems: 1
          type: array
      required:
        - creditNoteCode
        - creditNoteId
        - creditNoteType
        - currency
        - customer
        - discountAmount
        - documentDateTime
        - exemptAmount
        - lineItems
        - seller
        - status
        - subTotal
        - taxAmount
        - taxableAmount
        - total
      type: object
    BasicErrorResponse:
      additionalProperties: false
      description: >-
        The basic error response containing the error message and the help
        documentation link.
      properties:
        message:
          description: The description of the error with details about it's cause.
          example: Invalid Credentials
          maxLength: 250
          type: string
        helpUrl:
          description: >-
            The link to the documentation for more information about the error
            and the corrective action.
          example: https://apidocs.chargebee.com#Authentication
          format: uri
          type: string
      required:
        - message
      type: object
    HealthCheckResponse:
      example:
        components:
          - endpoints:
              - endpoints
              - endpoints
            name: name
            description: description
            id: id
            type: OTHER
            status: null
          - endpoints:
              - endpoints
              - endpoints
            name: name
            description: description
            id: id
            type: OTHER
            status: null
        description: description
        time: '2000-01-23T04:56:07.000Z'
        version: version
        status: null
      properties:
        version:
          minLength: 1
          type: string
        description:
          description: >-
            The description of the health status returned by the Service
            Adapter.
          maxLength: 250
          type: string
        status:
          $ref: '#/components/schemas/HealthStatus'
        components:
          description: >-
            List of health status details for each component reported by the
            Service Adapter.
          items:
            $ref: '#/components/schemas/HealthCheckComponent'
          type: array
        time:
          description: The timestamp of the health status reported by the Service Adapter.
          format: date-time
          type: string
      required:
        - components
        - status
        - time
      type: object
    CreditNoteType:
      description: >-
        Whether the credit note was created for the full amount on the invoice
        or only for a part of the invoice amount.
      enum:
        - FULL
        - PARTIAL
      type: string
    DocumentStatus:
      description: Status of the invoice document.
      enum:
        - PENDING
        - COMMITTED
        - VOIDED
      type: string
    Seller:
      additionalProperties: false
      description: >-
        The details of the seller involved in the transaction including company
        code and address.
      example:
        address:
          country: country
          city: city
          postalCode: postalCode
          state: state
          line3: line3
          line2: line2
          line1: line1
        taxRegistrationNumber: taxRegistrationNumber
        hasNexus: true
      properties:
        taxRegistrationNumber:
          description: >-
            The tax registration number of a business in a country. For example,
            this is the GSTIN for India or the VAT number for EU or Australia.
          maxLength: 30
          type: string
        address:
          $ref: '#/components/schemas/Address'
        hasNexus:
          description: >-
            Determines whether a tax nexus exists between the Seller and the tax
            authority at the address provided.
          type: boolean
      required:
        - address
      type: object
    Customer:
      additionalProperties: false
      description: The details of the Customer.
      example:
        address:
          country: country
          city: city
          postalCode: postalCode
          state: state
          line3: line3
          line2: line2
          line1: line1
        name: name
        customerCode: customerCode
        company: company
        taxRegistrationNumber: taxRegistrationNumber
        hasNexus: true
        locationEvidence:
          paymentCountryCode: paymentCountryCode
          bin: bin
          ip: ip
        taxIdentifiers:
          - id: id
            value: value
          - id: id
            value: value
          - id: id
            value: value
          - id: id
            value: value
          - id: id
            value: value
      properties:
        name:
          description: The name of the Customer in Chargebee.
          maxLength: 50
          type: string
        customerCode:
          description: The unique identifier for the Customer in Chargebee.
          maxLength: 50
          type: string
        company:
          description: The company name of the customer
          maxLength: 50
          type: string
        address:
          $ref: '#/components/schemas/Address'
        taxRegistrationNumber:
          description: >-
            The tax registration number of a business in a country. For example,
            this is the GSTIN for India or the VAT number for EU or Australia.
          maxLength: 30
          type: string
        taxIdentifiers:
          description: >-
            It represents the information related to the customer's tax
            identifiers. This includes details such as exemption status etc.
          items:
            $ref: '#/components/schemas/FieldItem'
          maxItems: 10
          type: array
        hasNexus:
          description: >-
            Determines whether a tax nexus exists between the Seller and the tax
            authority at the address provided.
          type: boolean
        locationEvidence:
          $ref: '#/components/schemas/CustomerLocationEvidence'
      required:
        - address
        - customerCode
      type: object
    InvoiceLineItem:
      additionalProperties: false
      description: The details of a line item.
      example:
        unitPrice: 0.3616076749251911
        taxableAmount: 1.0246457001441578
        amount: 2.027123023002322
        quantity: 0.9301444243932576
        itemCode: itemCode
        description: description
        isTaxable: true
        discountAmount: 1.2315135367772556
        taxes:
          - number: 1
            taxableAmount: 4.965218492984954
            rate: 11.730742509559434
            jurisdiction:
              code: code
              name: name
              type: null
            name: GST
            taxAmount: 5.025004791520295
          - number: 1
            taxableAmount: 4.965218492984954
            rate: 11.730742509559434
            jurisdiction:
              code: code
              name: name
              type: null
            name: GST
            taxAmount: 5.025004791520295
          - number: 1
            taxableAmount: 4.965218492984954
            rate: 11.730742509559434
            jurisdiction:
              code: code
              name: name
              type: null
            name: GST
            taxAmount: 5.025004791520295
          - number: 1
            taxableAmount: 4.965218492984954
            rate: 11.730742509559434
            jurisdiction:
              code: code
              name: name
              type: null
            name: GST
            taxAmount: 5.025004791520295
          - number: 1
            taxableAmount: 4.965218492984954
            rate: 11.730742509559434
            jurisdiction:
              code: code
              name: name
              type: null
            name: GST
            taxAmount: 5.025004791520295
        exemptAmount: 7.386281948385884
        taxExemptType: null
        number: 1
        total: 6.84685269835264
        subtotal: 4.145608029883936
        isTaxInclusive: true
        taxAmount: 1.4894159098541704
        taxExemptReason: The customer is exempt from taxes.
        isPartialTax: true
        taxIdentifiers:
          - id: id
            value: value
          - id: id
            value: value
          - id: id
            value: value
          - id: id
            value: value
          - id: id
            value: value
      properties:
        number:
          description: Index or serial number of the line item.
          minimum: 1
          type: integer
        itemCode:
          description: >-
            The unique identifier (in Chargebee) of the product corresponding to
            the line item. If the line item corresponds to a one-off charge,
            then this identifier is not present. If entity_type is `adhoc`, the
            `itemCode` parameter will be set to `adhoc_charge`.
          maxLength: 50
          type: string
        description:
          description: The description of the line item.
          maxLength: 250
          type: string
        quantity:
          description: The quantity associated with this line item.
          format: double
          minimum: 0
          type: number
        unitPrice:
          description: >-
            The unit price for this line item. In case of [tiered
            pricing](https://www.chargebee.com/docs/1.0/plans.html#tiered-pricing)
            where the unit price varies for each quantity tier, this is the
            average unit price.
          format: double
          minimum: 0
          type: number
        amount:
          description: The amount for this line item. This is `unitPrice` × `quantity`.
          format: double
          type: number
        subtotal:
          description: >-
            The amount after discounts for this line item. This is `amount` -
            `discountAmount`.
          format: double
          type: number
        isTaxInclusive:
          description: >-
            Indicates whether the `subtotal` for this line item is inclusive of
            taxes.
          type: boolean
        isTaxable:
          description: Indicates whether this line item is taxable.
          type: boolean
        taxIdentifiers:
          description: The tax code fields of the product used for tax calculation.
          items:
            $ref: '#/components/schemas/FieldItem'
          maxItems: 10
          type: array
        taxExemptType:
          $ref: '#/components/schemas/TaxExemptType'
        taxExemptReason:
          description: >-
            The reason due to which a line item is exempted from tax. This is a
            mandatory parameter while applying tax exemption on any line-item.
          example: The customer is exempt from taxes.
          maxLength: 250
          type: string
        exemptAmount:
          description: The part of this line item's `subtotal` that is exempted from tax.
          format: double
          type: number
        discountAmount:
          description: The discount applied to this line item.
          format: double
          type: number
        taxableAmount:
          description: The part of this line item's `subtotal` that is taxable.
          format: double
          type: number
        taxAmount:
          description: >-
            The tax payable for this line item. This is the sum of all
            `taxes.taxAmount` for this line item.
          format: double
          type: number
        total:
          description: >-
            The total for this line item after discounts and taxes. This is the
            same as `subtotal` if it is tax inclusive; otherwise it is
            `subtotal` + `taxAmount`. `total` can also be expressed as
            `exemptAmount` + `taxableAmount` + `taxAmount`.
          format: double
          type: number
        isPartialTax:
          description: Indicates if taxes were applied only partially for this line item.
          type: boolean
        taxes:
          description: List of taxes applied for this line item under each jurisdiction.
          items:
            $ref: '#/components/schemas/TaxLineItem'
          maxItems: 10
          minItems: 0
          type: array
      required:
        - amount
        - discountAmount
        - exemptAmount
        - isTaxInclusive
        - isTaxable
        - number
        - subtotal
        - taxAmount
        - taxableAmount
        - taxes
        - total
      type: object
    HealthStatus:
      description: The status of a specific component reported by the Service Adapter.
      enum:
        - UP
        - DOWN
        - WARN
      type: string
    HealthCheckComponent:
      description: >-
        The health status details of a specific component reported by the
        Service Adapter.
      example:
        endpoints:
          - endpoints
          - endpoints
        name: name
        description: description
        id: id
        type: OTHER
        status: null
      properties:
        id:
          description: The id of the component.
          maxLength: 50
          type: string
        name:
          description: The name of the component.
          maxLength: 150
          type: string
        type:
          description: >
            The type of component affected when `status` is `WARN` or `DOWN`.
            The possible values are:

            - `ADAPTER`: The reported status is for the Service Adapter.

            - `API`: The reported status is for the Service Provider.

            - `DATABASE`: The reported status is for a database dependency of
            the Service Provider.

            - `SYSTEM`: The reported status is for any other known system
            component such as cache or gateway.

            - `OTHER`: The reported status is either for a component that does
            not belong to the types described above or the source of the issue
            is unknown.
          enum:
            - OTHER
            - SYSTEM
            - API
            - ADAPTER
            - DATABASE
          type: string
        description:
          description: The detailed status of the component.
          maxLength: 250
          type: string
        status:
          $ref: '#/components/schemas/HealthStatus'
        endpoints:
          description: >-
            When the `status` of the component is not `UP`, then the list of
            endpoints affected.
          items:
            type: string
          type: array
      required:
        - id
        - name
        - status
        - type
      type: object
    Address:
      description: Represents the address used for validation.
      example:
        country: country
        city: city
        postalCode: postalCode
        state: state
        line3: line3
        line2: line2
        line1: line1
      properties:
        line1:
          description: First line of the street address
          maxLength: 180
          type: string
        line2:
          description: Second line of the street address
          maxLength: 150
          type: string
        line3:
          description: Third line of the street address
          maxLength: 150
          type: string
        city:
          description: The city of the address
          maxLength: 50
          type: string
        state:
          description: >-
            The state of the address following the ISO 3166-2 state/province
            code without the country prefix.
          maxLength: 50
          type: string
        postalCode:
          description: Postal Code / Zip Code of the address.
          maxLength: 20
          type: string
        country:
          description: >-
            The country of the address following the ISO 3166-1 alpha-2
            standard.
          maxLength: 2
          type: string
      type: object
    FieldItem:
      example:
        id: id
        value: value
      properties:
        id:
          description: The id of the field.
          maxLength: 50
          type: string
        value:
          description: The value of the field.
          maxLength: 50
          type: string
      required:
        - id
        - value
      type: object
    CustomerLocationEvidence:
      description: Represent the properties for customer location evidence.
      example:
        paymentCountryCode: paymentCountryCode
        bin: bin
        ip: ip
      properties:
        ip:
          description: >-
            The customer's IP to determine which country the customer belongs
            to.
          maxLength: 50
          type: string
        bin:
          description: >-
            The country associated with a card by using the first or last 6
            digits of the Bank Identification Number.
          maxLength: 15
          type: string
        paymentCountryCode:
          description: Identifies the country code associated with the payment method.
          maxLength: 5
          type: string
      type: object
    TaxExemptType:
      description: >-
        The tax exemption type for a line item. This is a mandatory parameter
        while applying tax exemption on any line-item.
      enum:
        - PRODUCT_EXEMPT
        - CUSTOMER_EXEMPT
        - REGION_EXEMPT
        - REVERSE_CHARGE
        - ZERO_RATE_TAX
        - HIGH_VALUE_PHYSICAL_GOODS
        - EXPORT
        - ZERO_VALUE_ITEM
        - TAX_NOT_CONFIGURED
      type: string
    TaxLineItem:
      additionalProperties: false
      description: The details of tax applied under a specific jurisdiction.
      example:
        number: 1
        taxableAmount: 4.965218492984954
        rate: 11.730742509559434
        jurisdiction:
          code: code
          name: name
          type: null
        name: GST
        taxAmount: 5.025004791520295
      properties:
        number:
          description: Index or serial number of this tax line item.
          minimum: 1
          type: integer
        jurisdiction:
          $ref: '#/components/schemas/TaxJurisdiction'
        name:
          description: The name of the tax applied.
          example: GST
          type: string
        rate:
          description: The tax rate expressed in percentage.
          format: double
          maximum: 100
          type: number
        taxableAmount:
          description: >-
            The part of the line item's `subtotal` that is taxable under this
            jurisdiction.
          format: double
          type: number
        taxAmount:
          description: The tax payable for the line item under this jurisdiction.
          format: double
          type: number
      required:
        - jurisdiction
        - name
        - number
        - rate
        - taxAmount
        - taxableAmount
      type: object
    TaxJurisdiction:
      additionalProperties: false
      description: The tax jurisdiction details.
      example:
        code: code
        name: name
        type: null
      properties:
        code:
          description: The jurisdiction code.
          maxLength: 50
          type: string
        type:
          $ref: '#/components/schemas/TaxJurisdictionType'
        name:
          description: The jurisdiction name.
          maxLength: 50
          type: string
      required:
        - code
        - name
        - type
      type: object
    TaxJurisdictionType:
      description: The type of tax jurisdiction.
      enum:
        - COUNTRY
        - FEDERAL
        - STATE
        - COUNTY
        - CITY
        - SPECIAL
        - OTHER
      type: string
  examples:
    Error500Response:
      description: Unexpected error during processing the request.
      summary: Unexpected error.
      value:
        message: Unexpected error during processing the request.
  securitySchemes:
    Authorization:
      description: >-
        The json of all the parameters specified in authentication configuration
        of tax app will be sent by Chargebee.
      in: header
      name: Authorization
      type: apiKey

````